> For the complete documentation index, see [llms.txt](https://docs.navigaglobal.com/naviga-subscribe/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.navigaglobal.com/naviga-subscribe/subscribe-features/payment-features/google-pay-ncs-circ-and-payway-in-progress.md).

# Google Pay: NCS Circ,  Payway / Braintree

## Goal

Google Pay offers the user an opportunity to purchase a Subscription using Google Pay electronic wallet during Subscribe checkout flow. The goal of this guide is to help you understand integration details in Subscribe for the NCS Circulation systems and Payway and Braintree payment processors.

## Before you start

Make sure you meet the following pre-requisites:

* Minimum NCS Circ version required is 2020.2-1
* Minimum Subscribe version required is 3.14.2 for Payway and 3.16.0 for Braintree
* For Payway payment processor Subscribe must use PaywayWS .This service is a wrapper of EccoWS and PW\_Web services.
* For Payway payment processor every Payway request needs to go through PaywayWS.

## Implementation

Please connect to your implementation manager to turn this feature on. The customer will be responsible for this setup. More information can be found in the [Google guide](https://developers.google.com/pay/api/web/guides/setup).

For the feature to work valid **GatewayMerchantId** is required, please see Google tutorial on how to request production access [here](https://developers.google.com/pay/api/web/guides/test-and-deploy/request-prod-access).

{% hint style="info" %}
Please note that Google developer account is required to view Google documentation
{% endhint %}

The MerchantId needs to be put into a JS file for both test and production environments as shown below

```
const paymentsClient = 

    new google.payments.api.PaymentsClient({environment: 'ENV'}); 
    // ENV is TEST or PRODUCTION

  
paymentDataRequest.merchantInfo = { 
  merchantName: 'Example Merchant' 	// Merchant Name 
  merchantId: '12345678901234567890' 	// Merchant ID 
};  
```

### Solicitor Concierge setup

From the Solicitor Concierge dashboard:

1. Select **offer groups** from the left sidebar. Your offer groups will appear in a list to the right.
2. Select an offer group from the list, or create a new offer group.
3. Select the **additional options** category, then select the **payment method** drop-down menu.
4. Check the *GooglePay* box.
5. Select **update** or **save as new**.

![Additional options -> Payment methods -> GooglePay](/files/-MhoTmdUkP0wdBNj-NlN)

### CMS setup

From the CMS dashboard:

1. Select **subscription panel** then **presentations**. Be sure to apply these changes to the newspaper level.
2. Choose your desired presentation from the drop-down menu.
3. Add the **GooglePay V3** as a child component to the **Payment Method V3** component.
4. Select **save** and clear your app's cache by selecting the manage cache button, then the relevant app.

![Page -> Step -> Payment Methods -> GooglePay](/files/-MhoTwGCrLqJUztMX28z)

{% hint style="info" %}
Please note that GooglePay for Frictionless checkout is supported starting from 3.15.0
{% endhint %}

### Outcome

Congratulations! You've configured a Subscription Purchase with GooglePay electronic wallet. During checkout process you will see 'Pay with Google Pay' button.

!['Pay with Google Pay' button](/files/-MhoURF8LnVcwrQM2qAa)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.navigaglobal.com/naviga-subscribe/subscribe-features/payment-features/google-pay-ncs-circ-and-payway-in-progress.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
